#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#! File Name:   Dct2Sql.Tpl
#! Purpose:     Assorted SQL dealing templates
#! Author:      Copyright  1999-2999 by Roberto Artigas Jr
#!              All rights reserved world wide.
#! Changes:
#! 2012.05.16   Roberto Artigas
#!  *   Added D2UTIL2.TPW series of utility templates.
#! 2012.05.04   Roberto Artigas
#!  *   Added MSSQL 2008 template version for Jeff Berlinghoff
#! 2012.02.17   Roberto Artigas
#!  *   Added MSSQL 2008 template version for Joe Hall.
#! 2010.10.09   Roberto Artigas
#!  *   Added MSSQL 2008 template. Donated by Steve Parker.
#! 2010.03.14   Roberto Artigas
#!  *   Added Metabase to MSSQL template. Per Michael Gorman request.
#! 2009.04.19   Roberto Artigas
#!  *   Move this to C7 template language.
#! 2009.01.01   Roberto Artigas
#!  *   Added PostgreSQL template from Roberto Artigas
#! 2008.06.26   Roberto Artigas
#!  *   Added PostgreSQL template from Michael Gould
#! 2008.03.03   Roberto Artigas
#!  *   Added Firebird templates from Jimmy Rogers
#! 2007.12.05   Roberto Artigas
#!  *   Added Pervasive template from Rafael Salguero Agruel
#! 2007.04.28   Roberto Artigas
#!  *   Added ORACLE skeleton Vido Vouk - Poldem
#! 2007.04.27   Roberto Artigas
#!  *   Added MsSQL contribution from Bo Schmitz
#! 2006.11.18   Roberto Artigas Jr
#!  *   Added DCT to Metabase-Mimer variant
#! 2006.01.28   Roberto Artigas Jr
#!  *   Added Utility Templates by Bo Schmitz
#! 2005.01.02   Roberto Artigas Jr
#!  *   Added MsSQL contribution from Russell B. Eggen
#! 2004.11.12   Roberto Artigas Jr
#!  *   Added utility templates related to SQL dictionaries.
#!      These have to do with cleaning up large dictionaries.
#!  *   Added Firebird [00] script generator.
#! 2004.01.29   Roberto Artigas Jr
#!  *   Added MsSQL contribution from Richard Bryce.
#! 2003.04.30   Roberto Artigas Jr
#!  *   Added MsSQL contribution from S. Jayashankar.
#! 2003.03.08   Roberto Artigas Jr
#!  *   Added Mimer contribution from Matthew G. Gorman.
#! 2002.01.05   Roberto Artigas Jr
#!  *   Added Sybase contribution from Eddie Sizemore.
#! 2002.12.02   Roberto Artigas Jr
#!  *   Added PostGreSQL skeleton for Dave Harms.
#!  *   Added Sybase skeleton for Eddie Sizemore.
#! 2002.11.14   Roberto Artigas Jr
#!  *   Added template contribution by Vadim Verman
#! 2002.04.25   Roberto Artigas Jr
#!  *   Added skeleton for MsSQL variant of the template.
#! 2002.01.28   Roberto Artigas Jr
#!  *   Added skeleton for Michael Gorman's DCT -> Metabase simple SQL.
#! 2001.12.31   Roberto Artigas Jr
#!  *   Added skeleton for Lew Strock who wants to work on PSQL.
#! 2001.10.30   Roberto Artigas Jr
#!  *   Lee White made some changes to the MySQL template for his use.
#!  *   Added this for now as a variation on a theme.
#!  *   Might fold some of these changes into the original at a later time.
#! 2001.10.21   Roberto Artigas Jr
#!  *   Added DCT -> Interbase Template
#! 2001.07.27   Roberto Artigas Jr
#!  *   Broke appart into smaller pieces
#!--------------------------------------------------------------------
#!--------------------------------------------------------------------
#!--------------------------------------------------------------------
#!--------------------------------------------------------------------
#TEMPLATE(zDct2Sql,'2012.05.16: DCT to SQL Templates'),FAMILY('CW20','ABC')
#!---------------------------------------------------------------------
#INCLUDE('D2G.TPW')                 #!     Major table groups
#INCLUDE('D2UTIL.TPW')              #!     Utility Templates (Roberto Artigas)
#INCLUDE('D2UTIL2.TPW')             #!     Utility Templates (Roberto Artigas)
#INCLUDE('D2MYSQL.TPW')             #! 01) DCT -> MySql (Roberto Artigas)
#INCLUDE('D2IBASE.TPW')             #! 02) DCT -> Interbase (Roberto Artigas)
#INCLUDE('D2MYSQL0.TPW')            #! 03) DCT -> MySql (Lee White)
#INCLUDE('D2PSQL.TPW')              #! 04) DCT -> PSQL (Lew Strock)
#INCLUDE('D2MB.TPW')                #! 05) DCT -> MetaBase (Roberto Artigas)
#INCLUDE('D2MSSQL.TPW')             #! 06) DCT -> MsSQL
#INCLUDE('D2SQLSCR.TPW')            #! 07) DCT -> MsSQL (With Update)
#INCLUDE('D2PSTGRE.TPW')            #! 08) DCT -> PostGreSQL (Dave Harms)
#INCLUDE('D2SYBASE.TPW')            #! 09) DCT -> Sybase
#INCLUDE('D2EDSIZE.TPW')            #! 10) DCT -> Sybase (Eddie Sizemore)
#INCLUDE('D2MIMER.TPW')             #! 11) DCT -> Mimer (Matthew G. Gorman)
#INCLUDE('D2MSSQL0.TPW')            #! 12) DCT -> MsSQL (S. Jayashankar)
#INCLUDE('D2MSSQL1.TPW')            #! 13) DCT -> MsSQL (Richard Bryce)
#INCLUDE('D2FB00.TPW')              #! 14) DCT -> Firebird (Roberto Artigas)
#INCLUDE('D2MSSQL2.TPW')            #! 15) DCT -> MsSQL (Russell B. Eggen)
#INCLUDE('D2DUPKEY.TPW')            #!     Utility Templates by Bo Schmitz
#INCLUDE('D2M2MIMR.TPW')            #! 16) DCT -> [MG] METABASE-MIMER combination [MG]
#INCLUDE('D2MSSQLb.TPW')            #! 17) DCT -> MsSQL (Bo Schmitz)
#INCLUDE('D2ORACL0.TPW')            #! 18) DCT -> Oracle (Roberto Artigas)
#INCLUDE('D2PERV.TPW')              #! 19) DCT -> Pervasive (Rafael Salguero Agruel)
#INCLUDE('D2JKRFB.TPW')             #! 20) DCT -> Firebird (Jimmy Rogers)
#INCLUDE('D2PSTGMG.TPW')            #! 21) DCT -> PostGreSQL (Michael Gould)
#INCLUDE('D2PGRERA.TPW')            #! 22) DCT -> PostgreSQL (Roberto Artigas)
#INCLUDE('D2M2MSQL.TPW')            #! 23) DCT -> [MG] METABASE-MSSQL (Roberto Artigas) [MG]
#INCLUDE('D2MSQLSP.TPW')            #! 24) DCT -> MSSQL 2008 (Steve Parker)
#INCLUDE('D2MSSQL3.TPW')            #! 25) DCT -> MSSQL 2008 - Version for Joe Hall
#INCLUDE('D2MSSQL4.TPW')            #! 26) DCT -> MSSQL 2008 - Version for Jeff Berlinghoff
#!---------------------------------------------------------------------
#!GROUP(%zDct2SqlEnd)
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
